<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
	<title>color.js test</title>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<link rel="icon" type="image/ico" href="favicon.ico" />

	<!-- load jquery from Google's CDN
	<script type="text/javascript" src="http://www.google.com/jsapi"></script>
	<script type="text/javascript">
		google.load("jquery", "1");
	</script>
	-->

	<script type="text/javascript" src="rcolor/color.min.js"></script>
	<script type="text/javascript" src="jquery-1.4.2.min.js"></script>

	<script type="text/javascript">
		$(document).ready(function() {

			// create the colors
			var lorem = Color.random("green", "blue");
			var proin = Color.random("green", "blue");
			var etiam = Color.random("green", "blue");
			var sed   = Color.random("green", "blue");
			var nulla = Color.random("green", "blue");
			
			// get the hex values
			var hex_lorem = lorem.toString();
			var hex_proin = proin.toString();
			var hex_etiam = etiam.toString();
			var hex_sed = sed.toString();
			var hex_nulla = nulla.toString();
			
			// set the background color value and add the hex value of the color
			$("#lorem").css("background-color", lorem).append("Color: " + hex_lorem);
			$("#proin").css("background-color", proin).append("Color: " + hex_proin);
			$("#etiam").css("background-color", etiam).append("Color: " + hex_etiam);
			$("#sed").css("background-color",     sed).append("Color: " + hex_sed);
			$("#nulla").css("background-color", nulla).append("Color: " + hex_nulla);
			
			// css settings for the rest of the page
			$("#content").css("color", "white");
			$("body").css("margin", "2em");
			$(".tk").css("color", "black");
			
		});
	</script>
</head>
<body>
	<div id="content">

		<p class="tk">
			Little page showing generation of random color palettes. Refresh or hit F5 to view a new palette. <br />
			color.js for the random colors from <a href="http://github.com/eligrey/color.js">http://github.com/eligrey/color.js</a>, 
			jquery 1.4.2 for making it dynamic from <a href="http://jquery.com/">http://jquery.com/</a>
		</p>

		<p id="lorem">
			Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque velit orci, quis eleifend mi.
			Morbi non enim orci, rhoncus auctor urna. Aliquam lacus sapien, bibendum ut convallis vitae, vulputate 
			vel tellus. Nulla facilisi. Quisque vulputate enim rhoncus nibh pellentesque in condimentum libero tempor.
			Vivamus sit amet sapien sapien. Quisque nulla purus, consectetur eu ultrices nec, feugiat in tellus. Aenean
			eu felis sit amet arcu ultricies ornare in vel lectus. Phasellus eleifend rhoncus erat, ut facilisis est
			condimentum vitae. Praesent egestas rhoncus venenatis. Vestibulum erat ante, luctus ac lacinia quis, luctus
			sed justo. Vivamus pulvinar tellus sed ligula suscipit ullamcorper. Vivamus dapibus gravida malesuada. Morbi
			ultricies, est eu consequat molestie, leo eros fringilla turpis, at fringilla enim diam eu augue.
		</p>
		
		<p id="proin">
			Proin porta velit nulla. Nulla pretium molestie ante. Nam a nulla urna, non ultricies quam. Nulla accumsan
			turpis non lacus blandit mollis. Integer molestie lorem nec dolor consequat facilisis. In mi nibh, feugiat
			feugiat pulvinar non, tincidunt ut lacus. Quisque lacinia iaculis libero at aliquam. Donec ornare sagittis
			rutrum. Donec sagittis convallis rutrum. Proin vestibulum volutpat urna vel pellentesque. Quisque bibendum,
			magna ut adipiscing dignissim, elit velit placerat purus, nec aliquet leo lorem at nunc.
		</p>
		
		<p id="etiam">
			Etiam odio est, sollicitudin eu commodo eget, egestas quis sem. Sed iaculis quam vitae nisi molestie nec 
			pulvinar lectus iaculis. Fusce mollis adipiscing velit a adipiscing. Nullam tempus, nibh bibendum semper 
			fringilla, massa eros commodo neque, ac lacinia mauris quam sit amet nibh. Ut consequat sodales porta. 
			Pellentesque auctor erat vitae libero dignissim sagittis. Proin bibendum, lorem ac molestie rhoncus, velit
			metus consequat mi, in bibendum sapien dolor ac massa. Etiam fringilla erat ut sem venenatis non sodales 
			magna blandit. Quisque faucibus tellus sit amet massa dictum et accumsan velit elementum. Nulla tellus
			tellus, tincidunt viverra facilisis at, rutrum a dolor. Pellentesque vitae egestas elit.
		</p>
		
		<p id="sed">
			Sed lobortis convallis nisi, at lacinia nisl tincidunt ut. Proin sodales pellentesque neque ac adipiscing.
			In id nisl non leo interdum dignissim vitae non risus. Morbi pellentesque, odio sed hendrerit adipiscing, 
			elit nunc fringilla ante, eget interdum sapien est ac augue. Cum sociis natoque penatibus et magnis dis 
			parturient montes, nascetur ridiculus mus. Proin a sapien diam, et posuere ligula. Nunc mauris felis, 
			convallis vitae auctor vitae, dapibus vel elit. Suspendisse tempor, erat ut venenatis molestie, enim sapien 
			blandit sapien, et consequat ante orci non ante. Nam id arcu sit amet nulla elementum dapibus. Donec eu 
			felis ac quam lacinia porttitor.
		</p>
		
		<p id="nulla">
			Nulla a phasellus sit amet urna ornare posuere vel sit amet sem. Vivamus ultrices urna est. In et augue 
			vitae velit iaculis ornare at nec felis. Sed mi nibh, dignissim vel fermentum ut, ullamcorper sed risus. 
			Fusce malesuada purus non lacus ornare sed fringilla magna tempus. Ut rutrum urna non sem porttitor ac malesuada
			massa ultrices. Vestibulum libero ligula, ultricies id imperdiet in, tristique non libero. Proin auctor volutpat
			ligula, sed aliquam mi ultrices vitae. Donec dignissim magna vel dui venenatis eget molestie velit vestibulum. 
			Aenean eget nunc mi. Curabitur risus mi, faucibus non commodo ac, scelerisque nec odio. Vivamus in lectus turpis, 
			ultricies cursus arcu.
		</p>

		<p class="tk"><a href="index.html">Go back</a></p>
		
	</div>
</body>
</html>